Std Undo/ko: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav | |표준 다시 실행 |표준 편집 메뉴 |IconL= |IconR=Std_Redo.svg |IconC=Freecad.svg }}")
(Updating to match new version of source page)
 
(23 intermediate revisions by 2 users not shown)
Line 3: Line 3:
{{Docnav
{{Docnav
|
|
|[[Std_Redo/ko|표준 다시 실행]]
|[[Std_Redo/ko|다시 실행]]
|[[Std_Edit_Menu/ko|표준 편집 메뉴]]
|[[Std_Edit_Menu/ko|표준 편집 메뉴]]
|IconL=
|IconL=
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/ko
|Name=Std Undo
|Name=Std Undo
|Name/ko=표준 실행 취소
|MenuLocation=EditUndo
|MenuLocation=편집실행 취소
|Workbenches=All
|Workbenches=모두
|Shortcut={{KEY|Ctrl}}+{{KEY|Z}}
|Shortcut={{KEY|Ctrl}}+{{KEY|Z}}
|SeeAlso=[[Std_Redo|Std Redo]]
|SeeAlso=[[Std_Redo/ko|표준 다시 실행]]
}}
}}


==Description==
==설명==


The '''Std Undo''' command undoes the last action.
'''표준 실행 취소(Std Undo)''' 명령은 마지막 작업을 실행 취소합니다.


==Usage==
==용법==


# 이 명령을 실행하는 방법은 여러가지입니다.:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Undo]]}} button.
#* {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo/ko|표준 실행 취소]]}} 버튼을 누릅니다.
#* Select the {{MenuCommand|Edit → [[Image:Std_Undo.svg|16px]] Undo}} option from the menu.
#* 메뉴에서 {{MenuCommand|편집 → [[Image:Std_Undo.svg|16px]] 실행 취소}} 옵션을 선택합니다..
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|Z}}.
#* 단축키를 사용합니다: {{KEY|Ctrl}}+{{KEY|Z}}.


==Options==
==선택 사항==


<div class="mw-translate-fuzzy">
* To undo multiple actions click on the black down arrow to the right of the {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo|Std Undo]]}} button and select from the list.
* 여러 작업을 실행 취소하려면 {{Button|[[Image:Std_Undo.svg|16px]] [[Std_Undo/ko|표준 실행 취소]]}} 버튼 오른쪽의 검은색 역삼각형을 클릭한 뒤 목록에서 선택합니다.
</div>


==Preferences==
==환경 설정==


* The Undo/Redo functionality can be disabled by setting {{MenuCommand|ToolsEdit parameters... → BaseApp → Preferences → Document → UsingUndo}} to {{FALSE}}, but this is not recommended. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* 실행 취소/다시 실행 기능은 {{MenuCommand|도구파라미터 편집... → BaseApp → Preferences → Document → UsingUndo}} {{FALSE}} 설정하여 비활성화할 있지만 권장하지 않습니다. 설정은 [[Preferences_Editor/ko#문서|환경 설정 편집기]]에서도 변경할 수 있습니다.
* The maximum number of Undo/Redo steps is controlled by {{MenuCommand|ToolsEdit parameters... → BaseApp → Preferences → Document → MaxUndoSize}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* 실행 취소/다시 실행의 최대 횟수는 {{MenuCommand|도구파라미터 편집... → BaseApp → Preferences → Document → MaxUndoSize}}로 조절합니다. 설정은 [[Preferences_Editor/ko#문서|환경 설정 편집기]]에서도 변경할 수 있습니다.


==Scripting==
==스크립트==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|참조:}} [[FreeCAD_Scripting_Basics/ko|FreeCAD 스크립트 기초]].


To undo the last action use the {{incode|undo}} method of the document object.
마지막 작업을 실행 취소하려면 문서 객체의 {{incode|undo}} 메소드를 사용합니다.


{{Code|code=
{{Code|code=
Line 49: Line 52:
FreeCAD.ActiveDocument.undo()
FreeCAD.ActiveDocument.undo()
}}
}}

When running FreeCAD in pure console mode (CLI), the undo/redo mechanism isn't enabled by default. It must be explicitly activated for each document.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1
}}



{{Docnav
{{Docnav
|
|
|[[Std_Redo|Std Redo]]
|[[Std_Redo/ko|다시 실행]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu/ko|표준 편집 메뉴]]
|IconL=
|IconL=
|IconR=Std_Redo.svg
|IconR=Std_Redo.svg

Latest revision as of 11:57, 12 December 2021

표준 실행 취소

메뉴 위치
편집 → 실행 취소
작업대
모두
기본 단축키
Ctrl+Z
도입 버전
-
참조
표준 다시 실행

설명

표준 실행 취소(Std Undo) 명령은 마지막 작업을 실행 취소합니다.

용법

  1. 이 명령을 실행하는 방법은 여러가지입니다.:
    • 표준 실행 취소 버튼을 누릅니다.
    • 메뉴에서 편집 → 실행 취소 옵션을 선택합니다..
    • 단축키를 사용합니다: Ctrl+Z.

선택 사항

  • 여러 작업을 실행 취소하려면 표준 실행 취소 버튼 오른쪽의 검은색 역삼각형을 클릭한 뒤 목록에서 선택합니다.

환경 설정

  • 실행 취소/다시 실행 기능은 도구 → 파라미터 편집... → BaseApp → Preferences → Document → UsingUndofalse로 설정하여 비활성화할 수 있지만 권장하지 않습니다. 이 설정은 환경 설정 편집기에서도 변경할 수 있습니다.
  • 실행 취소/다시 실행의 최대 횟수는 도구 → 파라미터 편집... → BaseApp → Preferences → Document → MaxUndoSize로 조절합니다. 이 설정은 환경 설정 편집기에서도 변경할 수 있습니다.

스크립트

참조: FreeCAD 스크립트 기초.

마지막 작업을 실행 취소하려면 문서 객체의 undo 메소드를 사용합니다.

import FreeCAD

FreeCAD.ActiveDocument.undo()

When running FreeCAD in pure console mode (CLI), the undo/redo mechanism isn't enabled by default. It must be explicitly activated for each document.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1